# class RSS::TaxonomyTopicModel::TaxonomyTopic

### Public Class Methods

new(*args) click to toggle source
Calls superclass method `RSS::Element::new`

    # File lib/rss/taxonomy.rb, line 122
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.about = args[0]
      end
    end

required_prefix() click to toggle source

    # File lib/rss/taxonomy.rb, line 107
    def required_prefix
      TAXO_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/taxonomy.rb, line 111
    def required_uri
      TAXO_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/taxonomy.rb, line 131
    def full_name
      tag_name_with_prefix(TAXO_PREFIX)
    end

maker_target(target) click to toggle source

    # File lib/rss/taxonomy.rb, line 135
    def maker_target(target)
      target.new_taxo_topic
    end